Search:

# CWIS Developers Documentation

Public Member Functions | Public Attributes

# SPTOAIItem Class Reference

Collaboration diagram for SPTOAIItem:
[legend]

## Public Member Functions
| SPTOAIItem ($ItemId, $SearchInfo=NULL)
| GetId ()
| GetDatestamp ()
| GetValue ($ElementName)
| GetQualifier ($ElementName)
| GetSets ()
| GetSearchInfo ()
| Status ()
| NormalizeForSetSpec ($Name)
## Public Attributes
| $Id
| $Resource
| $LastStatus
| $SearchInfo

List of all members.

## Detailed Description

Definition at line 490 of file SPTOAIServer.php.

Inheritance diagram for SPTOAIItem:
[legend]

## Member Function Documentation

SPTOAIItem::GetDatestamp | ( | ) |

Reimplemented from OAIItem.

Definition at line 532 of file SPTOAIServer.php.

References Resource::Get().

SPTOAIItem::GetId | ( | ) |

Reimplemented from OAIItem.

Definition at line 530 of file SPTOAIServer.php.

SPTOAIItem::GetQualifier | ( | $ | ElementName ) |

Reimplemented from OAIItem.

Definition at line 563 of file SPTOAIServer.php.

References Resource::GetQualifierByFieldId().

Referenced by GetValue().

Here is the caller graph for this function:

SPTOAIItem::GetSearchInfo | ( | ) |

Reimplemented from OAIItem.

Definition at line 627 of file SPTOAIServer.php.

SPTOAIItem::GetSets | ( | ) |

Reimplemented from OAIItem.

Definition at line 587 of file SPTOAIServer.php.

References Resource::Get(), MetadataSchema::MDFTYPE_CONTROLLEDNAME, MetadataSchema::MDFTYPE_OPTION, MetadataSchema::MDFTYPE_TREE, and NormalizeForSetSpec().

SPTOAIItem::GetValue | ( | $ | ElementName ) |

Reimplemented from OAIItem.

Definition at line 540 of file SPTOAIServer.php.

References Resource::GetByFieldId(), and GetQualifier().

SPTOAIItem::NormalizeForSetSpec | ( | $ | Name ) |

Definition at line 646 of file SPTOAIServer.php.

Referenced by GetSets().

Here is the caller graph for this function:

SPTOAIItem::SPTOAIItem | ( | $ | ItemId,
|  | $ | SearchInfo = `NULL`
| ) |  |

Definition at line 495 of file SPTOAIServer.php.

References $SearchInfo, Resource::CumulativeRating(), and Resource::Status().

SPTOAIItem::Status | ( | ) |

Reimplemented from OAIItem.

Definition at line 632 of file SPTOAIServer.php.

## Member Data Documentation

SPTOAIItem::$Id

Definition at line 640 of file SPTOAIServer.php.

SPTOAIItem::$LastStatus

Definition at line 642 of file SPTOAIServer.php.

SPTOAIItem::$Resource

Definition at line 641 of file SPTOAIServer.php.

SPTOAIItem::$SearchInfo

Definition at line 643 of file SPTOAIServer.php.

Referenced by SPTOAIItem().

The documentation for this class was generated from the following file:

- SPTOAIServer.php